Qt World Summit 2017
Closed, ResolvedPublic

Description

Things we're going to do to promote KDE at the for Qt Word Summit.

paulb created this task.Aug 21 2017, 9:30 AM
paulb added a subscriber: hein.
hein added a comment.EditedAug 21 2017, 10:44 AM

To recap, Qt World Summit mostly attracts an audience of software developers who use Qt for projects. Here is what we should pitch to them:

  • We have great libs that extend Qt with useful stuff, have low dependencies, and can help you get your project done: KDE Frameworks
  • We have awesome dev tools you can use while making software: KDevelop, Massif Visualizer, KCachegrind, etc.
  • We have specific key technologies and stacks that are best-of-class and can carry subtantial projects, e.g.:
    • If you need to make a non-trivial device UI (car, embedded device, whatever), use Plasma technology
    • If you need to display a map in your app, use Marble technology
    • We have awesome Wayland stuff
  • KDE is heavily intertwined with Qt and is really great at Qt stuff
    • KDE wrote a lot of Qt code
    • KDE does stuff like the Free Qt Foundation together with The Qt Company
    • Being in KDE is a great way to interact with the Qt community

This is what interests people who walk around in the expo floor. It's what we will tell them about, answer questions about, show off, etc.

Adding Jens who will do visual design work on promo materials.

hein added a comment.Aug 21 2017, 10:48 AM

In 2015 we had a set of awesome wall posters that contained much of the above. I hope we can find them and post them here for reference and/or updating.

hein added a subscriber: svuorela.Aug 21 2017, 10:49 AM

Adding Sune who did QtWS organization in past years and is #2 this year.

hein added a subscriber: leinir.Aug 21 2017, 10:49 AM

Adding Leinir who is going to do work on demo loops.

Ok so visually I think we need something insanely striking for posters considering the din and amount of people and low visibility. We need stuff that uses some kind of cheap tricks to get peoples attention and an idea for posters.

One idea for posters is having the "massive one colour surface" or something where we stick with a bold colour to make it stand out like this doodle

OR doing something with the age old "Human looking directly at the viewer" trick like this doodle

I have ~150 KDE frameworks flyers.

hein added a comment.Aug 22 2017, 7:49 AM

@jensreuterberg I like both - maybe we can combine? Definitely I'd like the KDE booth to be a visually more striking presence this year. Not only was the booth I manned in 2015 relatively barren - a lot of the corporate booths around us were just as much, meaning the bear to stick out dramatically isn't actually that high. Use of color and fills is nice.

I think we should consider the entire presence as a whole - just get all communication goals in place so that we this year have one solid communication and our presence is aimed at one specific thing

paulb added a comment.EditedAug 22 2017, 8:13 AM

I think we should consider the entire presence as a whole - just get all communication goals in place so that we this year have one solid communication and our presence is aimed at one specific thing

Yes, being consistent would be good. So maybe settle on a theme and derive all other items from there.

So... shall we brainstorm a theme?

I think we should consider the entire presence as a whole - just get all communication goals in place so that we this year have one solid communication and our presence is aimed at one specific thing

Definitely yes, it'd be very good to have that at least somewhat solid before i start working on the demo loops :)

So, for the theme, this event is a corporate one, and is geared at two types of people: Developers, who will need arguments to convince their managers that tools they like are something the company should invest in (money/time/whatnot), and managers, who will need those arguments from us, and then arguments to convince their developers they should use the shiny new tools they have just discovered. For some tools it's super easy (hey, kcachegrind is sort of like intel vtune, but doesn't cost a bazillion monies), but others (basically any framework and things which would alter development processes) it's less obvious how to do this...

paulb added a comment.Aug 22 2017, 8:31 AM

Would you say KDE is a like a tree trunk from which many technologies branch out from? If so, we can go with a nice relaxing forest theme.

Or, if you want to go really out there, with a Norse KDE-is-Yggdrasil-and-our-booth-is-Asgard theme and booth staffers wear horned plastic helmets.

jensreuterberg added a comment.EditedAug 22 2017, 8:40 AM

Don't tempt me man... :) (our booth will have an image of Oden God of the Hanged on one entire wall!)

Joking aside:

  • I would suggest going for the "Tropical Beach" motif. Blue clear skies high in the imagery where we can slap the K-logo in white at the top on the blue skie.
  • Use core messages like "relax", "work smarter, not harder" and focusing on how we improve work for developers.
  • Essentially pushing hard for being the COUNTER to stress since stress will be a thing there and stress is something every single dev in the world can relate to (and automating drudging tasks to improve work flow is a huge part of the work so "work smarter" is sort of part of it).
  • By pushing the destressing angle we can be a bit cheeky, we can stick out a bit and since the stress is free at the conference it would more or less be part of our communication (come here relax, get away from the conferance for a minute or two)

Hey folks, just to make sure the info in this task is relevant: are you still going with the "KDE Powers You" theme that was discussed on IRC/Telegram?

I'm asking because I don't see it mentioned in any of the (sub)tasks here, and if anyone wants to start planning some content or designing the flyer, they'll need this information...

I can update the tasks with details from the chat log; I just need confirmation that the idea is still on. :)

hein added a comment.Sep 6 2017, 8:31 AM

Yep, still the plan. Updating the task would be highly useful and appreciated! @jensreuterberg is working on assets currently.

Update on the plan for QtWS from discussions on IRC in #kde-promo / Telegram group:

KDE could provide a power station at the booth, so people can charge their phones (we provide something practical and immediately useful). This keeps them longer at our booth and gives us time to talk to them about what we do.

Instead of the beach-themed relaxation area, we would be going with "KDE Powers You" charging station area + potentially a live hacking session demonstrating the use of Qt+KDE technologies.

Eike Hein, [23.08.17 15:23]
So "KDE em-powers you" can be a whole theme. And it totally is our message at QtWS anyway - we make things that support Qt-based deving, so it it's literally powering devs.

More background/explanation on the general message we're aiming to get across:

Eike Hein:
From the POV of the QtWS audience, what we want to tell them is more or less this: We use Qt to make lots of fancy software, and in the course of doing so we've made libs and tools that complement Qt, and since you're also making fancy software using Qt, chances are you probably need something like our libs and tools too. So use them and/or let's improve them together. I.e. the value of KDE to a QtWS visitor is that KDE is a major Qt user that doesn't hide its cool stuff for competitive advantage but shares it freely.

skadinna renamed this task from Qt World Summit to Qt World Summit 2017.Nov 29 2018, 4:03 PM
skadinna closed this task as Resolved.